### GET /menus/v1/taxes Source: https://developer.polotab.com/openapi/openapi.yaml Get all taxes ```markdown ### Responses #### 200 - Successful response - Array of tax #### 500 - Internal Server Error **serverError.yaml** ### Example Usage ```bash curl -X GET "https://api.polotab.com//menus/v1/taxes" ``` ``` -------------------------------- ### GET /menus/v1/menus/{menu_id} Source: https://developer.polotab.com/openapi/openapi.yaml Get specific menu ```markdown ### Parameters - **menu_id** (string, path, required) - **expand** (string (items), query, optional): expand response ### Responses #### 200 - Successful response **menuGetOneResponse** - **id** (string (uuid)) - **ownerId** (string (uuid)) - **ownerType** (unknown) ("chain"|"restaurant"|"virtual_location") - **name** (string) - **description** (string) - **type** (string) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **deletedAt** (string (date-time)) - **items** (object) - **id** (string (uuid)) - **chainId** (string (uuid)) - **sizeGroupId** (string) - **name** (string) - **image** (string) - **featured** (boolean) - **description** (string) - **alergies** (string) - **tags** (array (string)) - **preparationTime** (integer) - **taxId** (string (uuid)) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **deletedAt** (string (date-time)) #### 404 - Not Found **notFound** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//menus/v1/menus/{menu_id}?expand=items" ``` ``` -------------------------------- ### GET /menus/v1/channels Source: https://developer.polotab.com/openapi/openapi.yaml API endpoint for GET /menus/v1/channels ```markdown ### Responses #### 200 - Successful response - Array of channelResponse #### 500 - Internal Server Error Internal Server Error ### Example Usage ```bash curl -X GET "https://api.polotab.com//menus/v1/channels" ``` ``` -------------------------------- ### GET /restaurants/v1/tables Source: https://developer.polotab.com/openapi/openapi.yaml Retrieves all the tables. ```markdown ### Responses #### 200 - Successful response **TableListResponse** - Array of Table #### 401 - Unauthorized **unauthorizedError** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//restaurants/v1/tables" ``` ``` -------------------------------- ### GET /menus/v1/items Source: https://developer.polotab.com/openapi/openapi.yaml API endpoint for GET /menus/v1/items ```markdown ### Responses #### 200 - Successful response - Array of itemWithoutPriceResponse #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//menus/v1/items" ``` ``` -------------------------------- ### GET /menus/v1/channels/{channel_id}/menus Source: https://developer.polotab.com/openapi/openapi.yaml Get expanded menu for specific channel ```markdown ### Parameters - **channel_id** (string, path, required) ### Responses #### 200 - Successful response - Array of menuExpandedResponse #### 404 - Not Found **notFound** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError.yaml** ### Example Usage ```bash curl -X GET "https://api.polotab.com//menus/v1/channels/{channel_id}/menus" ``` ``` -------------------------------- ### GET /socket/v1/clients Source: https://developer.polotab.com/openapi/openapi.yaml Get connected clients ```markdown ### Responses #### 200 - Successful response - **clients** (array (object)) Array items: - **id** (string) - **data** (object) - **clientId** (string (uuid)) - **clientType** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//socket/v1/clients" ``` ``` -------------------------------- ### GET /menus/v1/size_groups Source: https://developer.polotab.com/openapi/openapi.yaml API endpoint for GET /menus/v1/size_groups ```markdown ### Parameters - **expand** (string (sizes|items), query, optional) ### Responses #### 200 - Successful response **sizeGroupGetAllResponse** - **id** (string (uuid)) - **chainId** (string (uuid)) - **name** (string) - **defaultSizeId** (string (uuid)) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **deletedAt** (string (date-time)) - **sizes** (array (sizeWithPricesResponse)) Array items: - **id** (string (uuid)) - **chainId** (string (uuid)) - **name** (string) - **defaultSizeId** (string (uuid)) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **deletedAt** (string (date-time)) - **prices** (array (fullPriceResponse)) Array items: - **id** (string (uuid)) - **ownerId** (string (uuid)) - **ownerType** (string) - **entityId** (string (uuid)) - **entityType** (string) - **channelId** (string (uuid)) - **contextType** (string) - **contextId** (string (uuid)) - **amount** (integer) - **currency** (string) - **info** (string) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **deletedAt** (string (date-time)) - **items** (array (object)): It shows if we use expand Array items: - **id** (string (uuid)) - **chainId** (string (uuid)) - **sizeGroupId** (string (uuid)) - **name** (string) - **image** (string (uri)) - **featured** (boolean) - **description** (unknown) - **alergies** (unknown) - **preparationTime** (integer) - **tags** (unknown) - **taxId** (string (uuid)) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **deletedAt** (string (date-time)) - **prices** (array (fullPriceResponse)) Array items: - **itemSortingOrder** (array (itemSortingOrderResponse)) Array items: - **id** (string (uuid)) - **entityId** (string (uuid)) - **entityType** (string) - **ownerId** (string (uuid)) - **ownerType** (string) - **lexorank** (string) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//menus/v1/size_groups?expand=sizes" ``` ``` -------------------------------- ### GET /menus/v1/items/{item_id} Source: https://developer.polotab.com/openapi/openapi.yaml Returns a single item with optional price information If you want get Prices as well, you should provide - expand - locationId - locationType ```markdown ### Parameters - **itemId** (string (uuid), path, required): ID of the item to retrieve - **expand** (string (prices), query, optional): Comma-separated list of related entities to expand (e.g., 'prices') - **location_id** (string (uuid), query, optional): ID of the location to filter prices by - **location_type** (string (restaurant|virtual_location), query, optional): Type of location - **channel_id** (string (uuid), query, optional): ID of the channel to filter prices by ### Responses #### 200 - Successful get **itemResponse** - **id** (string (uuid)): Unique identifier of the item - **name** (string): Item name - **description** (string): Item description - **restaurantId** (string (uuid)): Identifier of the restaurant it belongs to - **enabled** (boolean): Indicates if the item is enabled - **imageId** (string (uuid)): Associated image identifier - **sortingOrder** (integer): Sorting order - **prices** (array (fullPriceResponse)): Prices associated with the item Array items: - **id** (string (uuid)) - **ownerId** (string (uuid)) - **ownerType** (string) - **entityId** (string (uuid)) - **entityType** (string) - **channelId** (string (uuid)) - **contextType** (string) - **contextId** (string (uuid)) - **amount** (integer) - **currency** (string) - **info** (string) - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **deletedAt** (string (date-time)) - **taxId** (string (uuid)): Associated tax identifier - **createdAt** (string (date-time)): Creation date and time - **updatedAt** (string (date-time)): Last update date and time - **deletedAt** (string) #### 404 - Item not found **notFound.yaml** #### 500 - Internal Server Error **serverError.yaml** ### Example Usage ```bash curl -X GET "https://api.polotab.com//menus/v1/items/{item_id}?expand=prices&location_id=string&location_type=restaurant&channel_id=string" ``` ``` -------------------------------- ### GET /menus/v1/schedules Source: https://developer.polotab.com/openapi/openapi.yaml API endpoint for GET /menus/v1/schedules ```markdown ### Parameters - **virtual_location_id** (string, query, optional) ### Responses #### 200 - Successful response - Array of schedulesResponse #### 400 - Bad Request **badRequest** - **code** (string) - **message** (string) #### 401 - Unauthorized **unauthorizedError** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//menus/v1/schedules?virtual_location_id=string" ``` ``` -------------------------------- ### GET /restaurants/v1/tables/{table_id} Source: https://developer.polotab.com/openapi/openapi.yaml Retrieve a specific table. ```markdown ### Parameters - **table_id** (string (uuid), path, required): ID of the table to retrieve ### Responses #### 200 - Successful response **TableResponse** - **id** (string (uuid)) (required): Unique identifier for the table - **replicaId** (string (uuid)): ID of the table replica if applicable - **socialMediaTable** (boolean): Whether this is a social media table - **takeoutTable** (boolean): Whether this is a takeout table - **groupId** (string (uuid)): ID of the group this table belongs to - **ownerId** (string (uuid)) (required): ID of the owner (restaurant, chain, etc.) - **ownerType** (string (restaurant|court)) (required): Type of the owner ("restaurant"|"court") - **name** (string) (required): Name or identifier of the table (e.g., "M1") - **capacity** (integer) (required): Number of people the table can accommodate - **enabled** (boolean) (required): Whether the table is currently enabled - **short_url** (string): Short URL identifier for the table - **createdAt** (string (date-time)): ISO 8601 timestamp when the table was created - **updatedAt** (string (date-time)): ISO 8601 timestamp when the table was last updated - **deletedAt** (string (date-time)): ISO 8601 timestamp when the table was deleted, if applicable - **activeOrders** (array (string (uuid))): List of active order IDs associated with this table #### 401 - Unauthorized **unauthorizedError** - **code** (string) - **message** (string) #### 404 - Not Found **notFound** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//restaurants/v1/tables/{table_id}" ``` ``` -------------------------------- ### API Overview: Public API PoloTab Source: https://developer.polotab.com/openapi/openapi.yaml # PoloTab API ## Overview PoloTab is a powerful restaurant management platform designed for all kinds of food and beverage establishments ranging from single location coffee shops to multi-location and multi-brand chains. Our API enables management of restaurant operations, from table sessions to menu management. ## Key Features - **Restaurant Management**: Manage multiple restaurants under a single group - **Order Management**: Listen, update and create orders in real-time - **Menu Management**: Update restaurant menus ## APIs Coming Soon - **Cash Register Management**: Real-time cash register operations - **Inventory Management**: Real-time inventory operations - **Employee Management**: Manage employees and their clocking in and out - **Payment Processing**: Handle customer orders efficiently ## Tools Coming Soon - **POS Simulator**: Simulate a POS environment - **Developer Console**: Self-service portal for developers to create apps, manage API keys and register webhooks ## Getting Started To integrate with PoloTab's restaurant management system, please contact our team at **developer-support@polotab.com** to request API access so we can provide you with the necessary credentials as well as a test account. ## Base URL ``` https://api.polotab.com/ ``` ## Support For technical support or questions about our restaurant management API: - Email: developer-support@polotab.com - API Documentation: https://developer.polotab.com --- 2025 PoloPay Inc. All rights reserved. ```yaml # Public API PoloTab # Version: 1.0.0 # PoloTab API ## Overview PoloTab is a powerful restaurant management platform designed for all kinds of food and beverage establishments ranging from single location coffee shops to multi-location and multi-brand chains. Our API enables management of restaurant operations, from table sessions to menu management. ## Key Features - **Restaurant Management**: Manage multiple restaurants under a single group - **Order Management**: Listen, update and create orders in real-time - **Menu Management**: Update restaurant menus ## APIs Coming Soon - **Cash Register Management**: Real-time cash register operations - **Inventory Management**: Real-time inventory operations - **Employee Management**: Manage employees and their clocking in and out - **Payment Processing**: Handle customer orders efficiently ## Tools Coming Soon - **POS Simulator**: Simulate a POS environment - **Developer Console**: Self-service portal for developers to create apps, manage API keys and register webhooks ## Getting Started To integrate with PoloTab's restaurant management system, please contact our team at **developer-support@polotab.com** to request API access so we can provide you with the necessary credentials as well as a test account. ## Base URL ``` https://api.polotab.com/ ``` ## Support For technical support or questions about our restaurant management API: - Email: developer-support@polotab.com - API Documentation: https://developer.polotab.com --- 2025 PoloPay Inc. All rights reserved. # Base URL: https://api.polotab.com/ ``` -------------------------------- ### GET /restaurants/v1/restaurant Source: https://developer.polotab.com/openapi/openapi.yaml Returns information about the currently authenticated restaurant ```markdown ### Responses #### 200 - Successful response **restaurant** - **id** (string (uuid)): Unique identifier of the restaurant - **groupId** (string (uuid)): Identifier of the group this restaurant belongs to - **chainId** (string (uuid)): Identifier of the chain this restaurant belongs to - **qrSettingsId** (string (uuid)): Identifier for QR code settings - **receiptSettingsId** (string (uuid)): Identifier for receipt settings - **analyticsSettingsId** (string (uuid)): Identifier for analytics settings - **socialMediaMenuSettingsId** (string (uuid)): Identifier for social media menu settings - **paymentMethodsConfigId** (string (uuid)): Identifier for payment methods configuration - **invoicingSettingsId** (string (uuid)): Identifier for invoicing settings - **pos** (string): Point of sale system type - **pos_other** (string): Custom point of sale system name - **name** (string): Restaurant name - **table_map** (string): Table map configuration - **isotype** (string): Restaurant isotype image URL - **language** (string): Default language for the restaurant - **neighborhood** (string): Neighborhood - **address** (string): Street address - **address_secondary** (string): Secondary address information - **city** (string): City - **state** (string): State or province - **country** (string): Country code - **county** (string): County or district - **zipcode** (string): Postal or ZIP code - **timezone** (string): Restaurant timezone - **currency** (string): Currency used by the restaurant - **invoicingReference** (string): Reference for invoicing - **invopopSupplierId** (string): Invopop supplier identifier - **invoicingEnabled** (boolean): Indicates if invoicing is enabled - **feedback_submitted_message** (string): Custom message shown after feedback submission - **paymentsEnabled** (boolean): Indicates if payments are enabled - **enabled** (boolean): Indicates if the restaurant is enabled - **ordersEnabled** (boolean): Indicates if orders are enabled - **chain** (object) - **id** (string (uuid)): Unique identifier of the chain - **groupId** (string (uuid)): Identifier of the group this chain belongs to - **name** (string): Chain name - **description** (string): Chain description - **logo** (string): URL to the chain's logo image - **banner** (string): URL to the chain's banner image - **branded_app_nav_bar_logo** (string): URL to the chain's logo used in branded app navigation bar - **primary_color** (string): Primary brand color in hexadecimal format - **secondary_color** (string): Secondary brand color in hexadecimal format - **language** (string): Default language for the chain - **defaultTaxId** (string (uuid)): Default tax identifier for the chain - **enabled** (boolean): Indicates if the chain is enabled - **createdAt** (string (date-time)): Creation date and time - **updatedAt** (string (date-time)): Last update date and time - **deletedAt** (string (date-time)): Deletion date and time, if the chain has been soft-deleted - **group** (object) - **id** (string (uuid)): Unique identifier of the group - **name** (string): Group name - **companyTaxIdNumber** (string): Tax identification number of the company - **taxEntityName** (string): Legal name of the tax entity - **fiscalRegime** (string): Fiscal regime code - **countryCode** (string): ISO country code - **state** (string): State or province - **city** (string): City - **address** (string): Street address - **zipcode** (string): Postal or ZIP code - **enabled** (boolean): Indicates if the group is enabled - **createdAt** (string (date-time)): Creation date and time - **updatedAt** (string (date-time)): Last update date and time - **deletedAt** (string (date-time)): Deletion date and time, if the group has been soft-deleted - **createdAt** (string (date-time)): Creation date and time - **updatedAt** (string (date-time)): Last update date and time - **deletedAt** (string (date-time)): Deletion date and time, if the restaurant has been soft-deleted #### 401 - Unauthorized - Invalid or missing authentication token **unauthorizedError** - **code** (string) - **message** (string) #### 500 - Internal server error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//restaurants/v1/restaurant" ``` ``` -------------------------------- ### GET /orders/v1/orders Source: https://developer.polotab.com/openapi/openapi.yaml List all orders for the authenticated restaurant. This endpoint returns a list of orders, use the query parameters to paginate the results. ```markdown ### Parameters - **limit** (integer, query, optional): Number of orders to return. Default is 25. Max is 100. - **created_after** (string (uuid), query, optional): Filter orders created after a specific order - **created_before** (string (uuid), query, optional): Filter orders created before a specific order - **status** (string (completed|void|draft|needs_approval|in_progress|waiting_for_pickup), query, optional): Filter orders by order status. If not specified, returns all orders. - **type** (string (direct_sale|delivery|takeout|table_service), query, optional): Filter orders by order type. If not specified, returns all orders. ### Responses #### 200 - Successful response - Array of object - **id** (string (uuid)) - **masterOrderId** (string) - **dayOrderNumber** (integer) - **internalOrderId** (string (uuid)) - **customerCount** (integer) - **customerName** (string) - **appId** (string (uuid)) - **externalOrderReference** (string) - **estimatedPickupAt** (string (date-time)) - **pickedUpAt** (string (date-time)) - **type** (string) - **terminalId** (string) - **restaurantId** (string (uuid)) - **virtualLocationId** (string (uuid)) - **status** (string) - **vip** (boolean) - **tableId** (string) - **startedAt** (string) - **finishedAt** (string) - **totalAmount** (number (float)) - **taxAmount** (number (float)) - **subtotalAmount** (number (float)) - **discountAmount** (number (float)) - **itemsDiscountAmount** (number (float)) - **seat** (integer) - **voidReason** (string) - **notes** (string) - **voidedBy** (string (uuid)) - **voidedAt** (string (date-time)) - **metadata** (object) - **source** (string) - **paymentMethod** (string) - **updatedAt** (string (date-time)) - **createdAt** (string (date-time)) - **deletedAt** (string (date-time)) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//orders/v1/orders?limit=0&created_after=string&created_before=string&status=completed&type=direct_sale" ``` ``` -------------------------------- ### POST /menus/v1/menus/bulk Source: https://developer.polotab.com/openapi/openapi.yaml Bulk create menus ```markdown ### Request Body **Content-Type:** application/json - **ownerId** (string (uuid)) (required) - **ownerType** (string) (required) - **channelId** (string (uuid)) (required) - **menus** (object) (required) - **name** (string) - **type** (unknown) ("food"|"drinks") - **description** (string) - **items** (array (string (uuid))): items ids ### Responses #### 200 - Successful response - Array of menuCreateResponse #### 400 - Bad Request **badRequest** - **code** (string) - **message** (string) #### 401 - Unauthorized **unauthorizedError** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X POST "https://api.polotab.com//menus/v1/menus/bulk" \ -H "Content-Type: application/json" \ -d '{ "ownerId": "string", "ownerType": "string", "channelId": "string", "menus": "value" }' ``` ``` -------------------------------- ### POST /menus/v1/menus Source: https://developer.polotab.com/openapi/openapi.yaml Create a new menu ```markdown ### Request Body **Content-Type:** application/json - **ownerId** (string (uuid)) (required) - **ownerType** (unknown) (required) ("chain"|"restaurant"|"virtual_location") - **channelId** (string (uuid)) (required) - **name** (string) - **description** (string) - **type** (unknown) (required) ("food"|"drinks") ### Responses #### 200 - Successful response **menuCreateResponse** - **id** (string (uuid)) - **ownerId** (string (uuid)) - **ownerType** (string) - **name** (string) - **description** (string) - **type** (unknown) ("food"|"drinks") - **createdAt** (string (date-time)) - **updatedAt** (string (date-time)) - **deletedAt** (string (date-time)) #### 400 - Bad Request **badRequest** - **code** (string) - **message** (string) #### 401 - Unauthorized **unauthorizedError** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X POST "https://api.polotab.com//menus/v1/menus" \ -H "Content-Type: application/json" \ -d '{ "ownerId": "string", "ownerType": "value", "channelId": "string", "name": "string", "description": "string", "type": "value" }' ``` ``` -------------------------------- ### GET /virtual_locations/v1/virtual_locations Source: https://developer.polotab.com/openapi/openapi.yaml Get all virtual locations ```markdown ### Responses #### 200 - Successful response - Array of virtualLocation #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X GET "https://api.polotab.com//virtual_locations/v1/virtual_locations" ``` ``` -------------------------------- ### POST /orders/v1/orders/{order_id}/void Source: https://developer.polotab.com/openapi/openapi.yaml Void an order ```markdown ### Request Body ### Responses #### 200 - Successful response #### 404 - Not Found **notFound** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X POST "https://api.polotab.com//orders/v1/orders/{order_id}/void" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### Schema: PromotionWebhookPayload Source: https://developer.polotab.com/openapi/openapi.yaml Structure for promotion webhook event payloads ```markdown ## Schema: PromotionWebhookPayload Structure for promotion webhook event payloads **Type:** object - **id** (string (uuid)) (required): Unique identifier for this webhook event - **restaurantId** (string (uuid)) (required): ID of the restaurant where the event occurred - **appId** (string (uuid)) (required): ID of the app receiving this webhook - **type** (string (promotions.created|promotions.updated|promotions.deleted)) (required) ("promotions.created"|"promotions.updated"|"promotions.deleted") - **timestamp** (string (date-time)) (required): ISO 8601 timestamp when the event occurred - **data** (object) (required): Promotion specific data payload - **id** (string (uuid)) (required): ID of the promotion - **ownerType** (string) (required): Type of the promotion owner (restaurant, chain) - **ownerId** (string (uuid)) (required): ID of the owner - **name** (string) (required): Name of the promotion - **targetType** (string) (required): Type of target for the promotion (item, order) - **discountAmount** (number (float)) (required): Amount of the discount - **discountType** (string) (required): Type of discount (percentage, fixed) - **createdAt** (string (date-time)): When the promotion was created - **updatedAt** (string (date-time)): When the promotion was last updated - **deletedAt** (string (date-time)): When the promotion was deleted, if applicable - **targetItems** (array (object)): Items targeted by this promotion Array items: - **id** (string (uuid)): ID of the item - **name** (string): Name of the item - **description** (string): Description of the item - **chainId** (string (uuid)): ID of the chain - **price** (number (float)): Price of the item - **available** (boolean): Whether the item is available - **createdAt** (string (date-time)): When the item was created - **updatedAt** (string (date-time)): When the item was last updated - **deletedAt** (string (date-time)): When the item was deleted, if applicable - **chain** (object) - **id** (string (uuid)): ID of the chain - **name** (string): Name of the chain - **createdAt** (string (date-time)): When the chain was created - **updatedAt** (string (date-time)): When the chain was last updated - **deletedAt** (string (date-time)): When the chain was deleted, if applicable - **restaurant** (object) - **id** (string (uuid)): ID of the restaurant - **name** (string): Name of the restaurant - **chainId** (string (uuid)): ID of the chain - **address** (string): Address of the restaurant - **city** (string): City of the restaurant - **state** (string): State of the restaurant - **zipCode** (string): Zip code of the restaurant - **country** (string): Country of the restaurant - **phoneNumber** (string): Phone number of the restaurant - **email** (string): Email of the restaurant - **timezone** (string): Timezone of the restaurant - **status** (string): Status of the restaurant - **createdAt** (string (date-time)): When the restaurant was created - **updatedAt** (string (date-time)): When the restaurant was last updated - **deletedAt** (string (date-time)): When the restaurant was deleted, if applicable ``` -------------------------------- ### POST /orders/v1/orders/{order_id}/publish Source: https://developer.polotab.com/openapi/openapi.yaml Publish a draft order ```markdown ### Request Body ### Responses #### 200 - Successful response #### 404 - Not Found **notFound** - **code** (string) - **message** (string) #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X POST "https://api.polotab.com//orders/v1/orders/{order_id}/publish" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### POST /menus/v1/menus/{menu_id}/items Source: https://developer.polotab.com/openapi/openapi.yaml Add items to menu ```markdown ### Parameters - **menu_id** (string, path, required) ### Request Body **Content-Type:** application/json - **items** (array (string)): Item ids ### Responses #### 200 - Successful response #### 500 - Internal Server Error **serverError** - **code** (string) - **message** (string) ### Example Usage ```bash curl -X POST "https://api.polotab.com//menus/v1/menus/{menu_id}/items" \ -H "Content-Type: application/json" \ -d '{ "items": [ "05a4aeed-a236-4e36-9cf7-1a72bb7ba9b8", "item_id_2" ] }' ``` ```